Summary:	WYSIWYG musical score editor and frontend for Lilypond
Name:		denemo
Version:	0.9.2
Release:	%mkrel 1
Source0:	ftp://ftp.gnu.org/gnu/denemo/%{name}-%{version}.tar.gz
Patch0:		denemo-0.9.2-fix-str-fmt.patch
Patch1:		denemo-0.9.2-glib.patch
URL:		http://www.denemo.org/
License:	GPLv2+
Group:		Sound
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	lilypond
Requires:	TiMidity++
Requires:	playmidi
Requires:	fluidsynth
BuildRequires:	gtk2-devel
BuildRequires:	libxml2-devel
BuildRequires: 	libfluidsynth-devel
BuildRequires:	bison
BuildRequires:	librsvg-devel
BuildRequires:	flex
BuildRequires:	gettext-devel
BuildRequires:	desktop-file-utils
BuildRequires:	cvs
BuildRequires:	aubio-devel
BuildRequires:	portaudio-devel
BuildRequires:	guile-devel
BuildRequires:	fftw-devel
BuildRequires:	libgtksourceview-2.0-devel

%description
Denemo is the GNU graphical musical score editor, and serves as a frontend
to Lilypond. Besides lilypond, it can also export music into ABC format.
as well as handling Csound score files playback and MIDI playback.

%prep
%setup -q
%patch0 -p0
%patch1 -p0

%build
%configure2_5x --with-included-smf
%make

%install
rm -rf %{buildroot}
%makeinstall_std

rm -fr %{buildroot}/%{_includedir}
rm -f %{buildroot}%{_libdir}/%{name}/*.{a,la}

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="GTK" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*
%find_lang %name

%clean
rm -rf %{buildroot}

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README*
%{_bindir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}
%{_datadir}/%{name}
%{_datadir}/fonts/truetype/%{name}/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png



%changelog
* Tue Jan 10 2012 Andrey Bondrov <abondrov@mandriva.org> 0.9.2-1mdv2012.0
+ Revision: 759337
- New version 0.9.2

* Fri Apr 29 2011 Sandro Cazzaniga <kharec@mandriva.org> 0.9.0-1
+ Revision: 660707
- fix BR (another try)
- fix BR
- update to new version 0.9.0
- add a BR on librsvg >= 2.0
- new release 0.8.22

* Thu Oct 21 2010 Sandro Cazzaniga <kharec@mandriva.org> 0.8.20-1mdv2011.0
+ Revision: 587147
- new version 0.8.20
- fix file list

* Mon Jul 12 2010 Sandro Cazzaniga <kharec@mandriva.org> 0.8.18-1mdv2011.0
+ Revision: 551226
- update to 0.8.18

* Sun May 02 2010 Sandro Cazzaniga <kharec@mandriva.org> 0.8.16-2mdv2010.1
+ Revision: 541666
- hopefully fix #59041

* Mon Apr 12 2010 Sandro Cazzaniga <kharec@mandriva.org> 0.8.16-1mdv2010.1
+ Revision: 533696
- new version 0.8.16
- drop p0, not needed anymore (fix-str-fmt)

* Mon Mar 29 2010 Sandro Cazzaniga <kharec@mandriva.org> 0.8.14-2mdv2010.1
+ Revision: 528876
- remove %%post and %%postun
- don't define version and rel in top of spec.
- remove useless space in spec

* Sun Mar 07 2010 Sandro Cazzaniga <kharec@mandriva.org> 0.8.14-1mdv2010.1
+ Revision: 515563
- New version 0.8.14
- drop old patches
- add a patch for fix string format, sent upstream.

* Tue Feb 09 2010 Sandro Cazzaniga <kharec@mandriva.org> 0.8.12-1mdv2010.1
+ Revision: 503384
- fix build
- rebuild
- fix build
- fix mkrel
- Fix url tag
- Update to 0.8.12
- Remove "beta1"
- Fix build

* Mon Nov 30 2009 Jérôme Brenier <incubusss@mandriva.org> 0.8.10-1mdv2010.1
+ Revision: 471958
- BuildRequires : libgtksourceview-2.0-devel
- new version 0.8.10

* Wed Sep 09 2009 Emmanuel Andry <eandry@mandriva.org> 0.8.8-1mdv2010.0
+ Revision: 435822
- New version 0.8.8
- diff P0 to fix string format not literal

* Mon May 25 2009 Funda Wang <fwang@mandriva.org> 0.8.2-2mdv2010.0
+ Revision: 379355
- fix requires

* Sat Mar 07 2009 Emmanuel Andry <eandry@mandriva.org> 0.8.2-1mdv2009.1
+ Revision: 350673
- New version 0.8.2
- drop P0
- BR guile-devel

* Thu Aug 21 2008 Emmanuel Andry <eandry@mandriva.org> 0.7.9-1mdv2009.0
+ Revision: 274560
- drop X-MandrivaLinux category
- BR portaudio-devel
- New version
- fix license
- drop patch 1
- update file list
- BR aubio-devel

* Thu Jun 12 2008 Pixel <pixel@mandriva.com> 0.7.6-1mdv2009.0
+ Revision: 218424
- rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Thierry Vignaud <tv@mandriva.org>
    - drop old menu
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot


* Thu Dec 28 2006 Lenny Cartier <lenny@mandriva.com> 0.7.6-1mdv2007.0
+ Revision: 102230
- Update to 0.7.6

* Thu Oct 26 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.7.5-4mdv2007.1
+ Revision: 72821
- Rebuild
- import denemo-0.7.5-3mdv2007.1

